HARK-ROSインストール際のエラーについて

HARK FORUM HARK-ROSインストール際のエラーについて

Viewing 8 posts - 1 through 8 (of 8 total)
  • Author
    Posts
  • #680
    tk
    Participant

    下記ページを参考にHARK-ROSをインストールしようとしているのですが、
    https://www.hark.jp/packages/ros/hark-ros-inst-inst/
    以下のコマンドを入力した際に、
    $ curl -sL https://deb.nodesource.com/setpu_6.x | sudo -E bash –
    以下のようなエラーがでてきてしまいました。
    //——————————————————————–
    bash: 行 1: html: そのようなファイルやディレクトリはありません
    bash: 行 2: 予期しないトークン `<‘ 周辺に構文エラーがあります
    ‘ash: 行 2: `<head><title>404 Not Found</title></head>
    //——————————————————————–

    無視をして次のコマンドである以下を入力すると、
    $ sudo apt-get install harkfd hark-ros-kinetic hark-ros-stacks-kinetic
    以下のようなエラーがでてきてしまいます。
    //——————————————————————–
    パッケージリストを読み込んでいます… 完了
    依存関係ツリーを作成しています
    状態情報を読み取っています… 完了
    hark-ros-stacks-kinetic はすでに最新バージョン (2.4.0) です。
    インストールすることができないパッケージがありました。おそらく、あり得
    ない状況を要求したか、(不安定版ディストリビューションを使用しているの
    であれば) 必要なパッケージがまだ作成されていなかったり Incoming から移
    動されていないことが考えられます。
    以下の情報がこの問題を解決するために役立つかもしれません:
    以下のパッケージには満たせない依存関係があります:
    hark-ros-kinetic : 依存: flowdesigner-0.9.1-hark しかし、インストールされようとしていません
    harkfd : 依存: flowdesigner-0.9.1-hark しかし、インストールされようとしていません
    E: 問題を解決することができません。壊れた変更禁止パッケージがあります。
    //——————————————————————–

    どうすればインストールが可能かご教示お願いいたします。
    PCの環境は、OSはUbuntu16.04、ROSはkineticで、HARKはインストール済みです。

    #681
    tk
    Participant

    HARK自体の使用は問題がありません。

    #683
    mfukuda
    Moderator

    ご迷惑をおかけしております。

    使用しているHARKのバージョンはいくつでしょうか?
    V3.0.0では、まだHARK-ROSは利用できませんが、近日中にリリース予定ですのでしばらくお待ちください。

    エラーの件について回答します。
    前者(node.js installation)のエラーは、記述に誤字があったためと思われます。
    setpuではなくsetupが正しいのですが、既にnode.jsが入っている場合、この手順は不要です。

    後者のエラーは、既にV3.0.0がインストールされているところに、V2.4.0のHARK-ROSをインストールしようとしたためのエラーメッセージと思われます。

    近日中にHARK-ROS V3.0.1のリリースとWebページの更新を行いますので、恐縮ですが、しばらくお待ちください。

    #684
    tk
    Participant

    ご回答頂きありがとうございます。
    HARKのバージョンはV3.0.0でした。
    わかりました。リリースを待ちます。
    よろしくお願いいたします。

    #691
    mfukuda
    Moderator

    hark-ros-msgs, hark-ros v3.0.1をリリースいたしました。

    インストール方法は
    https://www.hark.jp/hark-ros-msgs-installation-instructions/
    をご覧ください。

    以上、よろしくお願いします。

    #692
    tk
    Participant

    リリースのご連絡ありがとうございます。
    HARK-Pythonのインストールの際にも同様のエラーが出てしまったのですが、こちらもHARK V3.0.0には未対応でしょうか。

    ご回答よろしくお願いいたします。

    #693
    mfukuda
    Moderator

    HARK-Pythonは hark-python3 というパッケージ名でリリースしております。

    詳細は以下のドキュメントをご覧ください。
    https://www.hark.jp/document/packages/hark-python3/harkpython3.html

    以上、よろしくお願いします。

    #694
    tk
    Participant

    ご回答ありがとうございます。
    HARK-ROS、hark-python3ともに無事にインストールできました。
    対応して頂き、ありがとうございました。

Viewing 8 posts - 1 through 8 (of 8 total)
  • You must be logged in to reply to this topic.